Page MenuHomePhabricator

Convert CategoryTree to use extension registration
Closed, ResolvedPublic

Description

The CategoryTree extension needs to be converted to use the new extension registration system. More details are available on T87875.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 29 2015, 7:29 PM
Liuxinyu970226 set Security to None.
Restricted Application added a subscriber: StudiesWorld. · View Herald TranscriptDec 17 2015, 10:25 PM

Why is this "clarification required"?

There's currently an open blocking task for it.

Dereckson claimed this task.Feb 5 2016, 7:44 AM

Change 268622 had a related patch set uploaded (by Dereckson):
Move functions outside extension entry point

https://gerrit.wikimedia.org/r/268622

Change 268624 had a related patch set uploaded (by Dereckson):
CategoryTreeMode and CategoryTreeHidePrefix constants classes

https://gerrit.wikimedia.org/r/268624

Change 268625 had a related patch set uploaded (by Dereckson):
Migrate to extension registration

https://gerrit.wikimedia.org/r/268625

Nemo_bis removed a subscriber: Nemo_bis.Feb 5 2016, 8:38 AM
Dereckson triaged this task as Low priority.Apr 2 2016, 1:53 AM

Change 268622 merged by jenkins-bot:
Move functions outside extension entry point

https://gerrit.wikimedia.org/r/268622

Change 268624 merged by jenkins-bot:
CategoryTreeMode and CategoryTreeHidePrefix constants classes

https://gerrit.wikimedia.org/r/268624

Change 268625 merged by jenkins-bot:
Migrate to extension registration

https://gerrit.wikimedia.org/r/268625

Reedy closed this task as Resolved.Aug 6 2016, 9:54 PM